com.h3c.of.lib.msg

## Class Queue

- java.lang.Object
- - com.h3c.of.lib.OpenflowStructure
  - - com.h3c.of.lib.msg.Queue

- All Implemented Interfaces:
    Structure
  Direct Known Subclasses:
    MutableQueue

      public class Queue
      extends OpenflowStructure

  Represents a queue that can attach to a port.

  An OpenFlow switch provides limited QoS support through a simple queuing mechanism. One (or more) queues can attach to a port and be used to map flow entries on it. Flow entries mapped to a specific queue will be treated according to that queue's configuration (e.g. min rate).

  Instances of this class are immutable.

- - ### Field Summary

    - ### Fields inherited from class com.h3c.of.lib.OpenflowStructure

      `version`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `QueueId` | `getId()` Returns the ID of this queue.
    `BigPortNumber` | `getPort()` Returns the ID of the port that this queue is attached to.
    `List<QueueProperty>` | `getProps()` Returns an unmodifiable view of the properties of this queue.
    `String` | `toString()`
    `void` | `validate()` Validates this structure for completeness and throws an exception if the structure is considered "not complete".

    - ### Methods inherited from class com.h3c.of.lib.OpenflowStructure

      `getVersion, hex, hex, toDebugString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `OpenflowStructure`

    - #### validate

          public void validate()
                        throws IncompleteStructureException

      Description copied from class: `OpenflowStructure`
      Validates this structure for completeness and throws an exception if the structure is considered "not complete".

      This default implementation does nothing, i.e. default behavior is that structures are considered complete.

      Subclasses should override this method to check that mandatory fields or other internal state is present, throwing an exception if it is not.

      Overrides:
        `validate` in class `OpenflowStructure`
      Throws:
        `IncompleteStructureException` - if the structure is not complete

    - #### getId

          public QueueId getId()

      Returns the ID of this queue.
      Returns:
        the queue ID

    - #### getPort

          public BigPortNumber getPort()

      Returns the ID of the port that this queue is attached to.

      Protocol versions 1.0 and 1.1 will return null.

      Returns:
        returns the port

    - #### getProps

          public List<QueueProperty> getProps()

      Returns an unmodifiable view of the properties of this queue.
      Returns:
        the properties of this queue.

Copyright © 2014. All Rights Reserved.